package com.example.petstoremobile.dtos;

public class ActivityLogDTO {
    private Long logId;
    private String activity;
    private String fullName;
    private String fullNameSnapshot;
    private String logTimestamp;
    private String role;
    private String roleSnapshot;
    private Long storeId;
    private String storeName;
    private String storeNameSnapshot;
    private Long userId;
    private String username;
    private String usernameSnapshot;

    public Long getLogId() { return logId; }
    public String getActivity() { return activity; }
    public String getFullName() { return fullName; }
    public String getFullNameSnapshot() { return fullNameSnapshot; }
    public String getLogTimestamp() { return logTimestamp; }
    public String getRole() { return role; }
    public String getRoleSnapshot() { return roleSnapshot; }
    public Long getStoreId() { return storeId; }
    public String getStoreName() { return storeName; }
    public String getStoreNameSnapshot() { return storeNameSnapshot; }
    public Long getUserId() { return userId; }
    public String getUsername() { return username; }
    public String getUsernameSnapshot() { return usernameSnapshot; }
}
